import web
from user.userdecorators import admin

class ListView:
    @admin
    def GET(self):
        web.ctx.plugin_manager.check_for_new_plugins()
        plugins = web.ctx.plugin_manager.plugins
        return web.ctx.render.plugin_manager.list(plugins)
